import { Key } from 'interface-datastore';
import type { Datastore } from 'interface-datastore';
import { KeyTransformDatastore } from './keytransform.js';
/**
 * Wraps a given datastore into a keytransform which
 * makes a given prefix transparent.
 *
 * For example, if the prefix is `new Key(/hello)` a call
 * to `store.put(new Key('/world'), mydata)` would store the data under
 * `/hello/world`.
 */
export declare class NamespaceDatastore extends KeyTransformDatastore {
    constructor(child: Datastore, prefix: Key);
}
//# sourceMappingURL=namespace.d.ts.map